#!/bin/bash

n=1
lastaddr=""
while true
do
addr=$(cat /root/.func/update/server_addr|head -$n|tail -1)
if [ "$addr" != "$lastaddr" ]
then 
	lastaddr=$addr;
else
	echo "all server can not connection"
	exit
fi
patchUrl="http://$addr/download/patch/"
patch_index_url=$patchUrl"indoor_hotspot_patch_index"
patch_index="/tmp/indoor_hotspot_patch_index"

echo $patch_index_url
cd /root/.func/update

curl -s  -H 'Cache-Control: no-cache' --connect-timeout 10 --max-time 10 $patch_index_url > $patch_index
res=$(cat $patch_index|grep "patch-v")
if [ "$res" = "" ]
then
	n=`expr $n + 1`;
else
	break
fi 

done
ver=$(cat version.txt)
verline=$(cat $patch_index | grep -n $ver | cut -f1 -d:)

if [ "$verline" = "" ]
then
	temp=$(cat version.txt | awk -F'v' '{print $2}' |  awk -F'.' '{print $1}' )
	temp1=$(cat $patch_index | tail -1 | awk -F'v' '{print $2}' |  awk -F'.' '{print $1}')
	if [ $temp -gt $temp1 ]
	then
		echo current version is newer
		exit
	fi
fi
let newline=verline+1
newver=$(cat $patch_index | awk -v line=$newline 'NR==line {print $1}')
checksum=$(cat $patch_index | awk -v line=$newline 'NR==line {print $2}')

if [ "$newver" = "" ];
then echo "patch already on the latest patch version"
     exit 0
fi

res=$(echo $newver|grep patch-v)
if [ "$res" = "" ];then echo "version error,exit";exit;fi
if [ "$checksum" = "" ];then echo "no checksum,exit";exit;fi

cd /root/.func/update
rm $newver
wget $patchUrl$newver
echo "find new patch "$newver

cal=$(sha256sum $newver | awk -F ' ' '{print $1}')

if [ "$checksum" != "$cal" ];
then echo "checksum failed"
     exit 0
fi

dir=$(echo $newver | awk -F '.' '{print $1}')
rm -rf $dir
tar -zxvf $newver
$dir/update.sh

